Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin
Class AdminConfig

    java.lang.Object
      com.dbxml.db.admin.AdminConfig

public final class AdminConfig
extends java.lang.Object

AdminConfig

Nested Class Summary
`class` | `AdminConfig.DriverConfig` DriverConfig
`class` | `AdminConfig.FileSystemConfig` FileSystemConfig

Constructor Summary
`AdminConfig(java.io.File file)`

Method Summary
`void` | `addDriverConfig(AdminConfig.DriverConfig driverConfig)`
`void` | `addFileSystem(AdminConfig.FileSystemConfig filesystemConfig)`
`Configuration` | `getConfiguration()`
`int` | `getDefaultQueryType(int defValue)`
`int` | `getDefaultXSLTView(int defValue)`
`AdminConfig.DriverConfig` | `getDriver(java.lang.String label)`
`AdminConfig.DriverConfig[]` | `getDrivers()`
`AdminConfig.FileSystemConfig` | `getFileSystem(java.lang.String label)`
`AdminConfig.FileSystemConfig[]` | `getFileSystems()`
`java.util.Map` | `getNamespaceMap()`
`boolean` | `isAutoBeautify(boolean defValue)`
`boolean` | `isExplorerVisible(boolean defValue)`
`boolean` | `isMessagesVisible(boolean defValue)`
`boolean` | `isQueryVisible(boolean defValue)`
`boolean` | `isStatusbarVisible(boolean defValue)`
`boolean` | `isToolbarVisible(boolean defValue)`
`java.lang.String[]` | `listDrivers()`
`java.lang.String[]` | `listFileSystems()`
`void` | `load()`
`AdminConfig.DriverConfig` | `newDriverConfig()`
`AdminConfig.FileSystemConfig` | `newFileSystemConfig()`
`void` | `removeDriverConfig(java.lang.String label)`
`void` | `removeFileSystem(java.lang.String label)`
`void` | `save()`
`void` | `setAutoBeautify(boolean autoBeautify)`
`void` | `setDefaultQueryType(int defaultQueryType)`
`void` | `setDefaultXSLTView(int defaultXSLTView)`
`void` | `setExplorerVisible(boolean visible)`
`void` | `setMessagesVisible(boolean visible)`
`void` | `setNamespaceMap(java.util.Map nsMap)`
`void` | `setQueryVisible(boolean visible)`
`void` | `setStatusbarVisible(boolean visible)`
`void` | `setToolbarVisible(boolean visible)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminConfig

    public AdminConfig(java.io.File file)

Method Detail

### getConfiguration

    public Configuration getConfiguration()

### load

    public void load()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getNamespaceMap

    public java.util.Map getNamespaceMap()

### setNamespaceMap

    public void setNamespaceMap(java.util.Map nsMap)

### setAutoBeautify

    public void setAutoBeautify(boolean autoBeautify)

### isAutoBeautify

    public boolean isAutoBeautify(boolean defValue)

### setDefaultQueryType

    public void setDefaultQueryType(int defaultQueryType)

### getDefaultQueryType

    public int getDefaultQueryType(int defValue)

### setDefaultXSLTView

    public void setDefaultXSLTView(int defaultXSLTView)

### getDefaultXSLTView

    public int getDefaultXSLTView(int defValue)

### setToolbarVisible

    public void setToolbarVisible(boolean visible)

### setExplorerVisible

    public void setExplorerVisible(boolean visible)

### setQueryVisible

    public void setQueryVisible(boolean visible)

### setMessagesVisible

    public void setMessagesVisible(boolean visible)

### setStatusbarVisible

    public void setStatusbarVisible(boolean visible)

### isToolbarVisible

    public boolean isToolbarVisible(boolean defValue)

### isExplorerVisible

    public boolean isExplorerVisible(boolean defValue)

### isQueryVisible

    public boolean isQueryVisible(boolean defValue)

### isMessagesVisible

    public boolean isMessagesVisible(boolean defValue)

### isStatusbarVisible

    public boolean isStatusbarVisible(boolean defValue)

### listDrivers

    public java.lang.String[] listDrivers()

### newDriverConfig

    public AdminConfig.DriverConfig newDriverConfig()

### getDrivers

    public AdminConfig.DriverConfig[] getDrivers()

### getDriver

    public AdminConfig.DriverConfig getDriver(java.lang.String label)

### removeDriverConfig

    public void removeDriverConfig(java.lang.String label)

### addDriverConfig

    public void addDriverConfig(AdminConfig.DriverConfig driverConfig)

### listFileSystems

    public java.lang.String[] listFileSystems()

### newFileSystemConfig

    public AdminConfig.FileSystemConfig newFileSystemConfig()

### getFileSystems

    public AdminConfig.FileSystemConfig[] getFileSystems()

### getFileSystem

    public AdminConfig.FileSystemConfig getFileSystem(java.lang.String label)

### removeFileSystem

    public void removeFileSystem(java.lang.String label)

### addFileSystem

    public void addFileSystem(AdminConfig.FileSystemConfig filesystemConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group